# Events

{% hint style="info" %}
These events are triggered server-side only. You must register your own event handler to receive the data.
{% endhint %}

#### av\_contacts:levelUp

> Triggered when a player's level increases for a specific contact. This event provides detailed information about the progression.
>
> **params:**
>
> * **playerId** (number): The server ID of the player.
> * **contact** (string): The unique identifier of the contact.
> * **oldLevel** (number): The player's previous level.
> * **newLevel** (number): The new level achieved by the player.
> * **oldXP** (number): The player's previous experience points.
> * **newXP** (number): The player's current experience points.
>
> ```lua
> RegisterServerEvent("av_contacts:levelUp", function(playerId,contact,oldLevel,newLevel,oldXp, newXp)
>     print(playerId,contact,oldLevel,newLevel,oldXp, newXp)
> end)
> ```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.av-scripts.com/laptop-pack-v3/contacts/events.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
